Package org.eclipse.jgit.util.io

## Class DisabledOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.eclipse.jgit.util.io.DisabledOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

    public final class DisabledOutputStream
    extends OutputStream

An OutputStream which always throws IllegalStateExeption during write.

### Field Summary

Fields
`static DisabledOutputStream` `INSTANCE` The canonical instance which always throws IllegalStateException.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write​(int b)`

### Methods inherited from class java.io.OutputStream

`close, flush, nullOutputStream, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final DisabledOutputStream INSTANCE

The canonical instance which always throws IllegalStateException.

### Method Detail

#### write

    public void write​(int b)
               throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`